Subject: Re: Oldest Living Computer languages: The
From: [email-masked] (Bob Shair)
Date: 25 Aug 1994 01:08:39 GMT
Newsgroups: alt.folklore.computers

[email-masked] (Michael J. Edelman) writes:
>
>Here's a few more for the IBM old timers. Please post responses:
>
>1. What was the *last* vacuum tube machine shipped by IBM? 
Don't know for sure, but it might be the 024/026 Keypunches, which were 
still shipping in the mid- to late-60's.

>2. What was the *first* IBM machine with virtual memory? (extra credit
>   for first installed site)

Stick my neck out on this one, and say that it was 2040-10002, 
System/360 Model 40 serial number 2, installed at IBM/MIT lab around
1966.  If so, that system may have the most illustrious history of 
any System/360.  When I was running on it in late 69, it was the 
principal development machine at the Utilities Industry development
center in Des Plaines, Illinois.  The product they developed on it,
CICS, has found substantial usage outside of utility companies.
>
>2.5 What was the device that enabled virtual memory on this machine called?

DAT Box??  That's what it was called on later systems.  Acronym for 
Dynamic Address Translation.  (At IBM, everything became a TLA or FLA.)
>
>3. What was the name of the famous virtual memory parody circulated in the early 70s?

OS/VU
>
>4. What is ROSS, and what's it made of?

Well, ROS is Read-Only Storage, another TLA.  What it was made of was model-
dependent.  For example, on 360/30 it was made of punched cards.  (Standard
shape, but not standard material)... they COULD be punched in a keypunch,
though.
>
>5. What's the difference between a green card and a yellow card?

Green: S/360 Refsum
Yellow: S/370 Refsum
>
>6. What's the quickest way to add 1 to a register in System 360?

Model-dependent.  LA Rn,1(Rn) was popular, as was doing subtracts with
BCTR Rn,0 ...  On small systems (models 30 and 40, for example) these 
were the fastest ways.   
>
>7. What was the only member of the 360 line that couldn't run OS/360, and why?

The 360/20 couldn't... It's instruction set lacked a few little things such as
BALR, and its 8 GPR's were only 16-bits wide.  Don't think the 360/44 could,
either.  You could either run a special Model 44 OS, or DOS, but not OS.
It, too, was missing a few instructions, I think.
>
>8. What was the name of the special high-speed computer IBM built for a few 
>government sites in the 60s?

Models 91 and 95.
>
>9. Who made the first solid-state System/360 memory, and where was the first 
>installed site? What size chips were used in it?

No idea... Wasn't IBM.  We were loyal to core storage for too long, partly
because the users of IMS/360 NEEDED static memory so that, after a power
failure, they could boot the utility which would write the memory buffers
to the IMS log tape.
>
>10. Sometime in the 370 era a 'mode bit' disappeared from the 360/370 
>architecture. What did this mode bit do?

Ah, yes.  Bit 12 of the PSW.  In the 360 this bit determines whether the 
system will use ASCII or EBCDIC code internally.  Since, as far as I know,
no one ever wrote an operating system which would work in ASCII mode, it
was available when the 370 came out.  I believe it now indicates whether
the system is in BC or EC mode.
-- 

Bob Shair                          [email-masked]
Open Systems Specialist    	   SHAIR@UIUCVMD (bitnet)
Champaign, Illinois		   217/356-2684

Article: 43008 of alt.folklore.computers
Path: tridom!emory!swrinde!cs.utexas.edu!uunet!utcsri!eecg.toronto.edu!bernecky
Newsgroups: alt.folklore.computers
From: [email-masked] (Robert Bernecky)
Subject: Re: Oldest Living Computer languages: The
Message-ID: <[email-masked]>
Nntp-Posting-Host: algonquin.eecg.toronto.edu
Organization: University of Toronto, Computer Engineering
References: <[email-masked]> <[email-masked]>
Date: 25 Aug 94 03:23:37 GMT
Lines: 65

In article <[email-masked]> [email-masked] writes:
>In article [email-masked],  [email-masked] (Michael Covington) writes:
>Here's a few more for the IBM old timers. Please post responses:
>
>1. What was the *last* vacuum tube machine shipped by IBM? 
Cheap shot. I'd guess they're still shipping various sorts of
CRT-based monitors. Oh, You Meant tube logic. Ah. I'd guess 650
but dunno.

>
>2. What was the *first* IBM machine with virtual memory? (extra credit
>   for first installed site)
  The /165 with [see below] stunt box?

>2.5 What was the device that enabled virtual memory on this machine called?
>
>3. What was the name of the famous virtual memory parody circulated in the early 70s?
   I always thought it was MVS.

>4. What is ROSS, and what's it made of?
     Do you mean "ROS" - Read-only-Storage? If so, there's a buncha kinds:
     CROS/ccros: capacitor ROS, TROS: transformer ROS, Funnymylarcard ROS
     for the 360/30 [the only machine I ever knew to fail because its
     vacuum cleaner motor broke].

>5. What's the difference between a green card and a yellow card?
    360 vs 370
>
>6. What's the quickest way to add 1 to a register in System 360?
      Load address:   la  rx,1(,rx)
     but rx can't be zero.

>7. What was the only member of the 360 line that couldn't run OS/360, and why?
   I'll guess 360/44, due to lack of decimal and ss instructions.

>8. What was the name of the special high-speed computer IBM built for a few 
>government sites in the 60s?
     Stretch.

>9. Who made the first solid-state System/360 memory, and where was the first 
>installed site? What size chips were used in it?
    We used "Intermem" memory, although Itel[?] also made it.
     Intermem was run by a couple of Very Bright enginers who left
    IBM. Somewhere down Pookeepsie way, I believe.
    They also built us a multiprocessor shared high-resolution timer
    which was precise to a few milliseconds/year, and which sat on the
     360/75's memory bus. We needed it for an MP project we did back
    in the dark ages, for a BIG APL system.

    I think it was 1k dips. 
    The first IBM Solid State memory was, I think in the 370/145. It
   was ECL, and cranked out a LOT of heat for size. 

>10. Sometime in the 370 era a 'mode bit' disappeared from the 360/370 
>architecture. What did this mode bit do?
    Enabled the never-did-work-with-any-IBM-operating-system ascii bit.

Here's one for you:
   Why doesn't anyone except IBM use ICM, STCM, CLCL, and MVCL, except in
   very rare occasions, preferring to use sr/ic,  shift/stc, clc loops,
    mvc loops?
   The last one has two answers.

Bob

From: [email-masked] (luis fernandes)
Newsgroups: alt.folklore.computers
Subject: "The Third Age"
Date: 22 Oct 1994 14:57:55 GMT

The Sept. 17th issue of _The Economist_ has a series of articles
dedicated to the state of the computer industry. The first article,
titled "The Third Age" has an interesting opening paragraph:

	If anything ushered in computing's first age, it was the Type
	6550 Magnetic Drum Calculator, a mountain of a machine unveiled
	in 1953 by International Business Machines. The Type 650 did not
	have th obvious makings of a winner. For a start, the "numerical,
	stored-program, data-processing machine" had about as much
	computing power as a modern video cassette recorder. And it cost
	$3,250 a month to rent-- equivalent to $18,000 in today's
	money. A small wonder that IBM, was cautious. After all, a few
	years earlier, it had thought the global market for computers to
	be five machines at best. Nonetheless, quietly confident of the
	Type 650's appeal, IBM designed it to make a profit if 50 were
	sold. Should the firms famously aggressive salesmen make their
	target of 250, IBM would make a fortune.

	It did. By the time the Type 650 was withdrawn in 1962, several
	thousand had been sold, making the primitive machine the worlds
	first mass produced computer. Two decades later, IBM set the
	computers on the road from mass production to a second age, one
	of ubiquity. Yet the machine with which IBM managed this
	upheaval-- a personal computer, first known as Project Chess,
	then as Project Acorn and finally, when it hit the market in
	1981, as the IBM PC-- was deemed inconsequential by its maker.

The third age, is a reference to the new age of computing that will
be "heaven for consumers, but hell for the industry".

It's nice to read an article about computers and actually learn
something new; e.g. I wasn't aware of the 2 code-names for the
PC. So, if you come across the issue, I think you'll find it's a good
read. 

I usually approach any article on computing, the Internet,
etc. (especially in mainstream periodicals) with skepticism, because
I automatically expect the articles to be badly researched and rife
with factual errors; _The Economist_ *seems* to be the exception.

I should also mention that another issue (Sept. 10) dealt with the
WWW and how digital-cash transactions were to be securely performed
(essentially a third party would act as a broker between the buyer
and seller). This issue has 2 camels having sex (or perhaps "humping"
would be a better term) on the cover; the issue is about corporate
mergers :-).

-lf

From: [email-masked] (Douglas W. Jones,201H MLH,3193350740,3193382879)
Newsgroups: alt.folklore.computers
Subject: Re: Operating Systems beginning
Date: 17 Oct 1994 14:10:11 GMT

From article <[email-masked]>,
by [email-masked] (Dan Prener):
> In article <[email-masked]> [email-masked]
> (Richard Plinston) writes:
> 
>> Operating systems started when it was noticed that many programs had
>> the same set of routines included by the compiler and, to save load
>> time, devised a mechanism so that these routines could be loaded once
>> and then each program could be shorter by relying on the copy still
>> in memory.
> 
> That is an interesting explanation, but it does not agree with my
> admittedly hazy memories, which say that operating systems started as
> a way to automate the work of machine operators.

In short, both theories are correct.  If you look at the work done at
Cambridge under Wilkes in the early 1950's, for example, it's clear that
their first motivation was avoiding having each user responsible for
their own I/O code -- monsterous stuff to debug, and a monsterous waste
of resources when it goes awry.  So they invented a crude library and
crude linkage conventions, and their operating system work grew from that.

If you look at the early work on the IBM 701 and 704, it looks like the
first code that resembled an operating system was the automated transfer
of control from loader to loaded program, and from the program back to the
loader to get the next job.  Both of these approaches to an embryonic
operating system were followed in parallel.

					Doug Jones
					[email-masked]